//_________________________Function used in main.cpp_________________________//

/*Define powerups colors for advanced mode.*/
int food_colors[7] = {WHITE, BLUE, RED, YELLOW, MAGENTA, GREEN};

//Functions used for buttons.
/*Used to initialise buttons PA0, PA1, PA2, PA3 and PCB LED for debugging.*/
void init_buttons(void);

//Function used for song.
/*Function plays given note. Also, TIMER0_OVF_vect ISR is used.*/
void play(int32_t note, uint32_t len);

//Functions used for LCD manipulation.
/*Function used to make main menu on the LCD.*/
void set_lcd(void);
/*Funcion used to display the about menu with data for each powerup.*/
void about_menu(void);
/*Function used to diplay score screen at the end of the game.*/
void display_score(void);

//Functions used in selects.
/*Function that recalculates the cursor's position.*/
void move_square(void);

//Functions used in gameplay.
/*Initialize the game screen before game starts.*/
void init_game(void);
/*Draw snake in its first position before game starts.*/
void draw_snake_start(void);
/*Add food on screen and on food array.*/
void add_food(int place, int type);
/*Check if score changes.*/
int check_for_score(void);
/*Check if game ended.*/
void check_for_collision(void);
/*Check if direction changed afther a button was pressed.*/
void change_direction(void);
/*Check if a powerup was eaten.*/
void change_game_settings(void);
/*Draw the snake at its current position.*/
void draw_snake(void);
/*Reset snake's tail.*/
void change_tail(void);
/*Move snake based on game type and check if any special change was made.*/
void move(int type);
/*Function called to play the game.*/
void play_game(int type);
